#
# Conditional build:
%bcond_with	tests		# perform "make test"

%include	/usr/lib/rpm/macros.perl
%define	pdir	DateTime
%define	pnam	Format-Natural
Summary:	DateTime::Format::Natural - Create machine readable date/time with natural parsing logic
Summary(pl.UTF-8):	DateTime::Format::Natural - Tworzy datę/czas dogodny dla maszyn
Name:		perl-DateTime-Format-Natural
Version:	1.02
Release:	1
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/S/SC/SCHUBIGER/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	258203626de566250ef245b2b680cacc
URL:		http://search.cpan.org/dist/DateTime-Format-Natural/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(Test::MockTime)
BuildRequires:	perl(boolean)
BuildRequires:	perl-Date-Calc
BuildRequires:	perl-DateTime
BuildRequires:	perl-List-MoreUtils
BuildRequires:	perl-Params-Validate
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DateTime::Format::Natural takes a string with a human readable
date/time and creates a machine readable one by applying natural
parsing logic.

%description -l pl.UTF-8
DateTime::Format::Natural przyjmuje łańcuch znaków zawierający
datę/czas w formacie dogodnym dla ludzi i tworzy z niego format
dogodny dla maszyn.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Build.PL \
	destdir=$RPM_BUILD_ROOT \
	installdirs=vendor
./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%attr(755,root,root) %{_bindir}/*
%{perl_vendorlib}/DateTime/Format/*.pm
%{perl_vendorlib}/DateTime/Format/Natural
%{_mandir}/man?/*
%changelog
* Thu Oct 10 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-DateTime-Format-Natural.git;a=log;h=master

* Wed Oct 09 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 8875ab1
- up to 1.02

* Sat Jun 02 2012 Caleb Maclennan <caleb@alerque.com> d26f85b
- Up to 1.00

* Mon Jan 16 2012 zbyniu <zbyniu@pld-linux.org> 743fcac
- up to 0.98

* Wed Jan 11 2012 zbyniu <zbyniu@pld-linux.org> 70b7587
- up to 0.95

* Wed Apr 13 2011 Caleb Maclennan <caleb@alerque.com> bb9fff2
- Up to 0.94

* Fri Feb 25 2011 Caleb Maclennan <caleb@alerque.com> dd0e981
- Up to 0.93

* Wed Jan 19 2011 Caleb Maclennan <caleb@alerque.com> 40c7e26
- Up to 0.92

* Mon Nov 08 2010 Caleb Maclennan <caleb@alerque.com> 153286d
- Up to 0.91

* Mon Mar 15 2010 amateja <amateja@pld-linux.org> cd94458
- updated to 0.85

* Wed Mar 03 2010 amateja <amateja@pld-linux.org> 880a18e
- updated to 0.84

* Wed Feb 17 2010 amateja <amateja@pld-linux.org> f93a5a3
- updated to 0.83

* Fri Nov 20 2009 amateja <amateja@pld-linux.org> 82b6a74
- updated to 0.80

* Tue Oct 20 2009 amateja <amateja@pld-linux.org> f29f1d3
- updated to 0.79

* Thu Sep 10 2009 amateja <amateja@pld-linux.org> ead42f8
- updated to 0.78

* Thu Jun 18 2009 amateja <amateja@pld-linux.org> 1565b87
- updated to 0.76

* Thu Feb 26 2009 radek <radek@pld-linux.org> 1e65207
- new

